: Class DepthComponentNative

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class DepthComponentNative

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.DepthComponent
                        |
                        +--javax.media.j3d.DepthComponentNative

public class DepthComponentNative
extends DepthComponent

A 2D array of depth (Z) values stored in the most efficient format for a particular device. Values are not accessible by the user and may only be used to read the Z values and subsequently write them back.

Fields inherited from class javax.media.j3d.DepthComponent
`ALLOW_DATA_READ, ALLOW_SIZE_READ`

Constructor Summary
`DepthComponentNative(int width, int height)` Constructs a new native depth (z-buffer) component object with the specified width and height.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Creates a new DepthComponentNative object.
`void` | `duplicateNodeComponent(NodeComponent originalNode)` Copies the information found in `originalNode` to the current node.

Methods inherited from class javax.media.j3d.DepthComponent
`getHeight, getWidth`

Methods inherited from class javax.media.j3d.NodeComponent
`getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DepthComponentNative

    public DepthComponentNative(int width,
                                int height)

  Constructs a new native depth (z-buffer) component object with the specified width and height.
  Parameters:
    `width` - the width of the array of depth values
    `height` - the height of the array of depth values

Method Detail

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Creates a new DepthComponentNative object. Called from a Leaf node's `duplicateNode` method.
  Overrides:
    cloneNodeComponent in class NodeComponent
  Returns:
    a duplicate of the DepthComponentNative object.
  See Also:
    `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `Node.cloneTree()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### duplicateNodeComponent

    public void duplicateNodeComponent(NodeComponent originalNode)

  Copies the information found in `originalNode` to the current node. This routine is called as part of the `cloneNodeComponent` operation.
  Overrides:
    duplicateNodeComponent in class NodeComponent
  Parameters:
    `originalNodeComponent` - the node to duplicate.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `NodeComponent.cloneNodeComponent()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD